
Name:           libpasastro
Version:        1.4.1
Release:        %mkrel 2
Summary:        Pascal interface for standard astronomy libraries
Group:          Sciences/Astronomy
License:        GPLv2+
URL:            https://sourceforge.net/projects/libpasastro/
# Official stable version doesn't include yet fixes required upstream
# for packaging in Fedora, so we use svn version.
# Use the following commands to generate the tarball:
# svn export -r 9 svn://svn.code.sf.net/p/libpasastro/code/trunk libpasastro-1.0
# tar -cJvf libpasastro-1.0-svn.tar.xz libpasastro-1.0
Source0:        https://github.com/pchev/libpasastro/archive/v%{version}.tar.gz#/libpasastro-%{version}.tar.gz
#Source0:        https://downloads.sourceforge.net/%%{name}/%%{name}-%%{version}-src.tar.xz

# Patch to fix stripping and permissions of library files
# Since this is Fedora specific we don't ask upstream to include
Patch0:         libpasastro-1.0-fix-install.patch


%description
Libpasastro provides shared libraries to interface Pascal program 
with standard astronomy libraries.
libpasgetdss.so : Interface with GetDSS to work with DSS images.
libpasplan404.so : Interface with Plan404 to compute planets position.
libpaswcs.so : Interface with libwcs to work with FITS WCS.

%prep
%autosetup -p1

# fix library path in install.sh script on 64bit
sed -i 's/\$destdir\/lib/\$destdir\/%{_lib}/g' ./install.sh

%build
mkdir -p plan404/obj
%make_build arch_flags="%{optflags}"


%install
%make_install PREFIX="%{buildroot}/usr"

%files
%doc %{_datadir}/doc/%{name}/
%{_libdir}/libpas*.so.*


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 1.4.1-2.mga9
+ Revision: 1793741
- Mageia 9 Mass Rebuild

* Sat Dec 04 2021 joequant <joequant> 1.4.1-1.mga9
+ Revision: 1760665
- update to 1.4.1

* Wed Jun 10 2020 joequant <joequant> 1.3.0-1.mga8
+ Revision: 1591851
- update to 1.3.0
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 1.1-2.mga8
+ Revision: 1517317
- Mageia 8 Mass Rebuild

* Mon Oct 01 2018 joequant <joequant> 1.1-1.mga7
+ Revision: 1314420
- update to 1.1

* Sun Sep 23 2018 umeabot <umeabot> 1.0-2.mga7
+ Revision: 1299084
- Mageia 7 Mass Rebuild

* Tue Aug 01 2017 joequant <joequant> 1.0-1.mga7
+ Revision: 1133824
- fix group
- imported package libpasastro

